import { Transformer } from '../types/transformer';
import { TransformedInput } from '../types/transformed-input';
interface FileSystemTransformerConstructorArgs {
    allowedExtensions: string[];
    sourcePath: string;
}
export declare class FileSystemTransformer implements Transformer {
    private readonly allowedExtensions;
    private readonly sourcePath;
    constructor({ allowedExtensions, sourcePath, }: FileSystemTransformerConstructorArgs);
    run(): TransformedInput;
    protected readFromDirectory(path: string, prefix?: string): TransformedInput;
}
export {};
