import { Command, flags } from '@oclif/command';
import { Manager } from './core/manager';
declare class SvgToJson extends Command {
    protected defaults: {
        source: string;
        destination: string;
        allowedExtensions: string[];
    };
    static description: string;
    static flags: {
        version: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        source: flags.IOptionFlag<string | undefined>;
        allowedExtensions: flags.IOptionFlag<string | undefined>;
        destination: flags.IOptionFlag<string | undefined>;
        config: flags.IOptionFlag<string>;
    };
    static args: never[];
    run(): Promise<Manager>;
    readConfig(configPath: string): Promise<any>;
    resolveConfig(data: object): object;
}
export = SvgToJson;
